SoShaderParameter4f(3)

NAME
SoShaderParameter4f - The SoShaderParameter4f class is used to define a four-dimensional floating point value as shader parameter.

SYNOPSIS

#include <Inventor/nodes/SoShaderParameter.h>

Inherits SoUniformShaderParameter.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void updateParameter (SoGLShaderObject *shaderObject)
Updates the shader parameter in the OpenGL state with the content of the value field.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass ()
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec4f value

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoShaderParameter4f class is used to define a four-dimensional floating point value as shader parameter.

Member Function Documentation

  SoType SoShaderParameter4f::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoShaderParameter4f::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoUniformShaderParameter.

  const SoFieldData ** SoShaderParameter4f::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoShaderParameter4f::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoUniformShaderParameter.

  void SoShaderParameter4f::updateParameter (SoGLShaderObject * shaderObject) [virtual]

Updates the shader parameter in the OpenGL state with the content of the value field.

Implements SoUniformShaderParameter.

Member Data Documentation

  SoSFVec4f SoShaderParameter4f::value
The shader parameter value.

Author

Generated automatically by Doxygen for Coin from the source code.